> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.agentverse.ai/v-1/api-reference/agents/register-agent/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.agentverse.ai/_mcp/server. # Register POST https://agentverse.ai/v1/agents Content-Type: application/json Reference: https://docs.agentverse.ai/api-reference/agents/register-agent ## Request ### Body (application/json) This endpoint expects a RegistrationRequest. - `address` (string, required) - `challenge` (string, required) - `challenge_response` (string, required) - `agent_type` (RegistrationRequestAgentType, required) - `prefix` (enum, optional, default: test-agent) - Allowed values: `agent`, `test-agent` - `endpoint` (string, optional) - `name` (string, optional) ## Response ### 200 Successful Response - `success` (boolean, required) — Agent registration was successful. ## Errors ### 422 Unprocessable Entity Error Validation Error - `detail` (list of ValidationError, optional) ## Types ### RegistrationRequestAgentType ### ValidationError - `loc` (list of ValidationErrorLocItems, required) - `msg` (string, required) - `type` (string, required) ### ValidationErrorLocItems ## Examples **Request** ```json { "address": "foo", "challenge": "foo", "challenge_response": "foo", "agent_type": "foo" } ``` **Response** ```json { "success": true } ``` **SDK Code** ```python agentsRegisterAgentExample import requests url = "https://agentverse.ai/v1/agents" payload = { "address": "foo", "challenge": "foo", "challenge_response": "foo", "agent_type": "foo" } headers = {"Content-Type": "application/json"} response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript agentsRegisterAgentExample const url = 'https://agentverse.ai/v1/agents'; const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"address":"foo","challenge":"foo","challenge_response":"foo","agent_type":"foo"}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go agentsRegisterAgentExample package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://agentverse.ai/v1/agents" payload := strings.NewReader("{\n \"address\": \"foo\",\n \"challenge\": \"foo\",\n \"challenge_response\": \"foo\",\n \"agent_type\": \"foo\"\n}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby agentsRegisterAgentExample require 'uri' require 'net/http' url = URI("https://agentverse.ai/v1/agents") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Content-Type"] = 'application/json' request.body = "{\n \"address\": \"foo\",\n \"challenge\": \"foo\",\n \"challenge_response\": \"foo\",\n \"agent_type\": \"foo\"\n}" response = http.request(request) puts response.read_body ``` ```java agentsRegisterAgentExample import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://agentverse.ai/v1/agents") .header("Content-Type", "application/json") .body("{\n \"address\": \"foo\",\n \"challenge\": \"foo\",\n \"challenge_response\": \"foo\",\n \"agent_type\": \"foo\"\n}") .asString(); ``` ```php agentsRegisterAgentExample request('POST', 'https://agentverse.ai/v1/agents', [ 'body' => '{ "address": "foo", "challenge": "foo", "challenge_response": "foo", "agent_type": "foo" }', 'headers' => [ 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp agentsRegisterAgentExample using RestSharp; var client = new RestClient("https://agentverse.ai/v1/agents"); var request = new RestRequest(Method.POST); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"address\": \"foo\",\n \"challenge\": \"foo\",\n \"challenge_response\": \"foo\",\n \"agent_type\": \"foo\"\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift agentsRegisterAgentExample import Foundation let headers = ["Content-Type": "application/json"] let parameters = [ "address": "foo", "challenge": "foo", "challenge_response": "foo", "agent_type": "foo" ] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://agentverse.ai/v1/agents")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ``` > Build, integrate, and launch agents using APIs and chat protocol.